import ddf.minim.*;

Minim minim;
AudioPlayer song;
PFont font;

void setup()
{
 size(screen.width, screen.height); 
 minim = new Minim(this);
 // this loads mysong.wav from the data folder
 song = minim.loadFile("out.aif");
 // The font must be located in the sketch's 
 // "data" directory to load successfully
 font = loadFont("Helvetica-Bold-48.vlw"); 
 textFont(font, 48); 
}

void draw()
{
  //child mortality: 1/4 sec (~8 million per year)
  int s = second();
  int m = minute();
  background(255);
  //line(s, 0, s, screen.height);
  if(s%4==0)
  {
    background(255,50,50); //red
    song.play();
    text("A child under 5 just died.", 15, 50);
  }
  //rape: 1/48 sec (~625k per year)
  if(s%48==0)
  {
    background(50,255,50); //green
    song.play();
    text("Someone was just raped.", 15, 50);
  }
  //human trafficking: 1/15 sec (~1.8 million per year)
  if(s%15==0)
  {
    background(255,0,255); //magenta
    song.play();
    text("Someone was just trafficked.", 15, 50);
  }
  //species extinction: 1/5 min (~92k per year)
  if(m%5==0 && s==0)
  {
    background(0,0,255); //blue
    song.play();
    text("A species just became extinct.", 15, 50);
  }
}

void stop()
{
  song.close();
  minim.stop();
 
  super.stop();
}
